Forum Discussion

IBM_Rob's avatar
IBM_Rob
Level 3
17 years ago

VCS 4.1 MP4 & RHEL5

I have installed VCS 4.1 MP4 onto a RHEL5 machine - Kernel = 2.6.18-8.1.8.el5. I am having problems with both llttab and gab.

Upon starting llt I get the following
[root@brkstvm25 bin]# /etc/init.d/llt start
Starting LLT:
LLT: loading module...
LLT:Error: cannot find compatible module binary

Upon starting gab I get the following
[root@brkstvm25 bin]# /etc/init.d/gab  start
Starting GAB:
GAB:Error: get_modfilename() internal error! /opt/VRTSgab/modules/gab.o.2.6.18-0.-100.el5 not found
cp: cannot stat `/opt/VRTSgab/modules/gab.o.2.6.18-0.-100.el5': No such file or directory

GAB:Alert: loading a compatible module binary (gab.o.2.6.18-0.-100.el5) with vermagic mismatch
GAB:Error: module load failed

I am not sure why gab is looking for those files. Inside /opt/VRTSgab/modules/ is the following which matches up with the kernel version I am running

[root@brkstvm25 bin]# ls -l  /opt/VRTSgab/modules/
total 3904
-rwxr-xr-- 1 root root 1992685 Apr 27  2007 gab.o.2.6.18-8.el5
-rwxr-xr-- 1 root root 1993713 Apr 27  2007 gab.o.2.6.18-8.el5PAE

Any ideas how to fix this?


3 Replies

  • I had the exact same problem and logged a call. The support preson looked at the /etc/init.d/llt and /etc/init.d/gab and proviced me replacement scripts for those scripts once I replaced the scripts things have worked fine.

    If you want i can send you the scripts. Please email me

     

    thanks

    deepee

     

  • Hi Deepee,

     

    Even i am having the same problem. Could you please PM me the updated scripts (/etc/init.d/llt & /etc/init.d/gab)?

     

    Thanks in advance

    shivakumar

     

    [Edited: Removed personal information per the community rules and regulations.]

    Message Edited by Brad_C on 02-11-2009 09:56 AM
  • Hi everyone,
    the solution above I have provided is not true, it is a false solution. Sorry for wrong information. I just wanted to show to some friends that you can not believe all the solutions informed on the forums if you are doing a corporate business. <<PRIOR COMMENT REMOVED BY COMMUNITY MANAGER>>
    For all the problems on a corporate level you should contact to official product support team which you pay some money for the product.

    So for the problem please do not follow the above solution, it will destroy your server ;)<<PRIOR COMMENT REMOVED BY COMMUNITY MANAGER>>

    There is a bug officially accepted by Veritas. So if you install Veritas Storage Foundation HA 4.1 MP4, you have to install Rolling Patch 3 on it to work correctly or use the latest version for all the bugs fixed.

    Detailed information for it you can find on the following link;

    http://seer.entsupport.symantec.com/docs/315416.htm

    Bilhan.